#
%define		_state		stable
%define		orgname		ark
%define		qtver		4.8.1
%define		kdeworkspacever	4.11.0

Summary:	K Desktop Environment - archive manager
Name:		kde4-ark
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fd5eb80440593025d34133fd126cdacd
URL:		http://www.kde.org/
BuildRequires:	bzip2-devel
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	libarchive-devel
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	kde4-kdebase-workspace >= %{kdeworkspacever}
Requires:	libzip
Obsoletes:	kde4-kdeutils-ark
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ark is a program for managing and quickly extracting archives. It
supports arj, rar, zip, tar, zoo, lha and other formats.

%description -l pl.UTF-8
Ark jest programem służącym do zarządzania i szybkiego rozpakowywania
archiwów. Obsługuje archiwa arj, rar, zip, tar, zoo, lha oraz inne
formaty.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ark
%attr(755,root,root) %{_libdir}/kde4/arkpart.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clilha.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libarchive.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libgz.so
%attr(755,root,root) %{_libdir}/libkerfuffle.so
%attr(755,root,root) %ghost %{_libdir}/libkerfuffle.so.?
%attr(755,root,root) %{_libdir}/libkerfuffle.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_cli7z.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clirar.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_clizip.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libbz2.so
%attr(755,root,root) %{_libdir}/kde4/kerfuffle_libxz.so
%attr(755,root,root) %{_libdir}/kde4/libextracthere.so
%{_datadir}/appdata/ark.appdata.xml
%{_datadir}/apps/ark
%{_datadir}/kde4/servicetypes/kerfufflePlugin.desktop
%{_datadir}/kde4/services/ark_part.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive.desktop
%{_datadir}/kde4/services/kerfuffle_libgz.desktop
%{_datadir}/kde4/services/ark_dndextract.desktop
%{_datadir}/kde4/services/kerfuffle_cli7z.desktop
%{_datadir}/kde4/services/kerfuffle_clilha.desktop
%{_datadir}/kde4/services/kerfuffle_clirar.desktop
%{_datadir}/kde4/services/kerfuffle_clizip.desktop
%{_datadir}/kde4/services/kerfuffle_libarchive_readonly.desktop
%{_datadir}/kde4/services/kerfuffle_libbz2.desktop
%{_datadir}/kde4/services/kerfuffle_libxz.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_addtoservicemenu.desktop
%{_datadir}/kde4/services/ServiceMenus/ark_servicemenu.desktop
%{_datadir}/config.kcfg/ark.kcfg
%{_desktopdir}/kde4/ark.desktop
%{_iconsdir}/hicolor/*/apps/ark.*
%{_mandir}/man1/ark.1.*
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-ark.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> e83e51e
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c63acd
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d65a45e
- packaged appdata file

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 87105af
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ddabe9a
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 87ca530
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 14a13a3
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2cd4df5
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e5f0d9b
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d28a299
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cd5c704
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 6ad8d23
- 4.12.0

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d44b754
- workspace will be longerm at 4.11 version now

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 0ac93a8
- Up to 4.11.4.

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bcb332
- up to 4.11.3

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0db77a5
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 671f3da
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8827137
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> b514cfb
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 4181f08
- updated to 4.9.3.

